package com.pj.bank_byte;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: bank_byte -- 银行回执信息字节码表
 * @author lbl
 */
@RestController
@RequestMapping("/BankByte/")
public class BankByteController {

	/** 底层 Service 对象 */
	@Autowired
	BankByteService bankByteService;

	/** 增 */
	@RequestMapping("add")
	@SaCheckPermission(BankByte.PERMISSION_CODE_ADD)
	public AjaxJson add(BankByte b){
		bankByteService.add(b);
		b = bankByteService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(b);
	}

	/** 删 */
	@RequestMapping("delete")
	@SaCheckPermission(BankByte.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 bankByteService.delete(id);
		return AjaxJson.getSuccess();
	}

	/** 删 - 根据id列表 */
	@RequestMapping("deleteByIds")
	@SaCheckPermission(BankByte.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
		int line = SP.publicMapper.deleteByIds(BankByte.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}

	/** 改 */
	@RequestMapping("update")
	@SaCheckPermission(BankByte.PERMISSION_CODE_EDIT)
	public AjaxJson update(BankByte b){
		bankByteService.update(b);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */
	@RequestMapping("getById")
		@SaCheckPermission(BankByte.PERMISSION_CODE)
	public AjaxJson getById(Integer id){
		BankByte b = bankByteService.getById(id);
		return AjaxJson.getSuccessData(b);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
		@SaCheckPermission(BankByte.PERMISSION_CODE)
	public AjaxJson getList() {
		SoMap so = SoMap.getRequestSoMap();
		List<BankByte> list = bankByteService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}









}
